石鑫华视觉论坛微信公众号:石鑫华视觉

 找回密码
 注册会员
查看: 12029|回复: 7

[索引导航] NI VBAI安装教程 VBAI2018SP1之前版本

[复制链接]
  • TA的每日心情
    慵懒
    昨天 10:49
  • 签到天数: 3130 天

    连续签到: 14 天

    [LV.Master]2000FPS

    发表于 2017-5-27 18:12:41 | 显示全部楼层 |阅读模式 来自:广东省东莞市 电信

    注册登陆后可查看附件和大图,以及购买相关内容

    您需要 登录 才可以下载或查看,没有账号?注册会员

    x
    Windows系统下(Linux和MAC系统下请自行了解清楚)NI的各种软件、模块、工具包、驱动程序,使用NI许可证管理器来激活的,绝大部分的都可以使用NI Lincense Activator来激活:NI序列号Serial Number生成激活工具NI License Activator,LabVIEW/VBAI/VDM/VAS等软件模块工具包破解工具不限版本http://visionbbs.com/thread-490-1-1.html

    视觉论坛的各种NI资源,除了视觉相关的模块有使用外,大部分的都不会使用,仅提供资源不提供技术支持。资源的下载地址一般会同时提供NI官方和百度网盘的地址。某些工具包NI地址失效或没有NI地址,只能使用百度网盘地址;如果百度网盘地址失效过期,可联系论坛客服更新。NI的服务器在美国,有时候速度很慢或下载容易出错,这样会造成安装时各种错误而无法安装。建议在下载完成后,对下载资源做校验和(NI一般会提供MD5或SHA256等)验证,与官方或视觉论坛提供的校验和对比,一致就可以安装;如不一致,则需要重新下载。视觉论坛早期下载上传的资源,基本上都是正常下载的资源;2019后下载的资源,都与NI的正确校验和对比过,保证是正确的资源才上传到百度网盘。校验和工具下载地址:文件Hash计算器FHash,文件校验和验证下载文件正确性验证,MD5值计算、SHA1值计算、SHA256值计算、CRC32值计算http://visionbbs.com/thread-26524-1-1.html

    NI VBAI安装教程 VBAI2018SP1之前版本

    本文简单介绍一下NI VBAI(NI VisionBuilder for Automation Inspection用于自动检测的视觉生成器)的安装。安装软件,其实是一个非常简单的问题。但是有部分新手在安装NI VBAI时,还是有点不会安装,主要是不知道序列号该怎么处理。下面来介绍介绍一下。本教程基于最新的NI VISION 2015F2来安装的。

    欢迎界面

    欢迎界面
    欢迎界面
    首先是下载好需要的NI VBAI软件(可以从NI官方网站上下载,也可以从机器视觉论坛visionbbs.com上下载)。下载下来的文件,NI VBAI 2015F2是ZIP压缩包。可以使用WinRAR、7ZIP等软件打开,然后直接双击其中的Autorun.exe或者是Setup.exe。使用Autorun.exe出现的界面上图所示,使用Setup.exe则如下图界面所示。如果使用Autorun.exe,则选择“Install NI Vision Builder for Automation Inspection 2015f2”,然后就会出现下面的Setup界面,也可以先点击ViewReadme,查看VBAI2015F2的系统需要与新特性等,VBAI虽然是2015的主版本号,但是其同样不能支持WIN XP等较低版本的操作系统,仅能在WIN 7SP1以上环境才可以使用:

    Setup界面

    Setup界面
    Setup界面
    这里没有什么需要选择的。注意一下其提示,退出杀毒软件可以加快安装速度。某些杀毒软件,可能会禁止软件的安装。特别是一些驱动程序的安装时,因为需要修改系统的一些参数,所以会提示禁止。所以在安装时,最好是退出杀毒软件。点击下一步“Next>>”。因为NI VBAI是英文的,所以安装界面及按钮什么的,都是英文的。

    用户信息

    用户信息
    用户信息
    这里填写用户信息,和NI VISION的安装方法一样。可以不填(会使用系统默认的用户信息)。也可以定义填写自己喜欢的信息。如果有购买正版的LabVIEW产品,可以在这里输入序列号(后面仍然会要在网上激活生成许可码)。如果是安装试用版或者是想要盗版,那么这里就不要输入序列号,而是选择Install this product for evaluation。然后再点击Next>>:

    目标目录

    目标目录
    目标目录
        因为NI VBAI是一个独立的应用程序,并不是LabVIEW的扩展模块。所以其是它是可以独立指定安装目录的。这里需要指定32位版本和64位版本的两种版本的路径。作者的电脑安装的是64位系统,VBAI2015F2可以直接支持32位及64位两种操作系统,所以安装好以后,会同时出现两个版本的VBAI。如果是单纯的安装在32位操作系统上,则只会出现32位的目录确认,也只会安装32位的版本。

    功能

    功能
    功能
    在该界面中选择需要安装的功能。一般来讲,使用默认值也可以。对于NI VBAI来讲,主要是Development Toolkit以及LabVIEW API Support的选择。Development Toolkit能支持到什么版本,则意味着在VBAI的调用VI的函数中,只能调用那个版本编写的VI,如上面提示的只能支持LabVIEW 2015,则说明该版本的VBAI2015F2,仍然只能调用LabVIEW2015写的VI,而LabVIEW2016、LabVIEW2017写的VI是不能调用的,必须保存成早期版本,并在VBAI中重新编译后,才可以调用。另外,在VBAI生成VI代码时,也会受限于其Development Toolkit能支持的版本,如VBAI2015F2只支持2015,那么仍然只能生成LabVIEW 2015下的代码(视觉部分则,可以使用NI VISION2016、NI VISION2017来生成)。需要注意的是,该功能必须要安装指定的LabVIEW版本后,才可以正常使用。所以,如果电脑上安装了LabVIEW2015,则可以选择该选项。如果没有安装,则不要勾选。又如LabVIEW Support中就有很多选项:

    功能选择

    功能选择
    功能选择
    如上面的LabVIEW API支持,是指是不是在LabVIEW的程序选板中添加VBAI引擎的接口,以方便LabVIEW可以访问VBAI引擎。如果不支持某个版本,则安装VBAI后,在LabVIEW中不会出现VBAI的API接口:

    LabVIEW2016中无VBAI2015F1的API

    LabVIEW2016中无VBAI2015F1的API
    LabVIEW2016中无VBAI2015F1API
    如上图所示,作者电脑中安装了VBAI2015F1版本,这个版本并不支持LabVIEW2016,所以在LabVIEW2016中,并没有其API,但是其支持2015,所以在LabVIEW2015中会有API的选板:

    LabVIEW2015 SP1版中有VBAI2015F1的API接口

    LabVIEW2015 SP1版中有VBAI2015F1的API接口
    LabVIEW2015SP1版中有VBAI2015F1API接口
        如果功能选择有误,则可以点击“恢复默认设置(E)”。可以点击“磁盘占用(D)”,查看需要安装的空间,对于NI VBAI 2015F2,可能需要1.9G的空间左右。点击下一步:

    产品通知

    产品通知
    产品通知
    一些产品的通知信息。注意这里,是不是要搜索更新之类的。需要的话,则会收集IP地址等隐私信息。如果不需要更新,则去勾就可以了。如果你使用的是非法版本,建议这里不要勾选。如果是使用的合法版本,则可以勾选该选项。不过个人觉得,其实没有什么区别,NI不会因为你有没有勾选这个,就无法知道你是不是其合法用户。当然,你不勾选更新通知,也可以使用更新程序来手动检查是不是有更新的数据包。

    许可协议

    许可协议
    许可协议
    这里需要接受NI的许可协议。选择“Iaccept the above 2 License Agreement(s)”,再点击“Next”:

    开始安装

    开始安装
    开始安装
    在开始安装界面中,将会提示NI VBAI的基本动作,如升级什么功能、添加或修改什么功能。如果是首次安装,基本上都是添加或修改某些功能。而如果是系统中已经安装过某版的NI VBAI,则会是升级或添加之类的。点击下一步,则开始安装:

    安装过程

    安装过程
    安装过程
    安装过程会比较慢,这与电脑的配置有关。配置高档的电脑,可能几分钟能安装完成。如果比较渣的电脑,那么半个小时,一个小时也是有可能的。等待安装完成即可,NI VBAI因为不需要安装驱动之类的,所以系统一般不会提示信任某公司的驱动之类的弹窗。
    另外,编程搞开发,建议使用微软官方下载的原版的Windows系统(原版,不是指正版),而不建议使用电脑城装机用的Ghost版本,如雨林木枫、深度等快速精简安装盘。这些精简的系统,很多功能被删除掉了,而编程开发又离不开这些功能。在某些情况下,会提示安装错误的情况。如果有出错,那么首先建议检查下载的软件MD5是否正确,以确保软件的完整性。如果软件是完整的,还是会有安装错误,基本上是系统问题。另外,LabVIEW2017、NI VISION 2017、NI VBAI2015F2等新版本的软件,已经不支持Windows XP/Vista这样的系统,连Win 7无更新包的都不支持。最低支持系统版本为Win 7 SP1(NI软件使用SHA-256证书签名。Windows 7 SP1、Windows Embedded Standard 7 SP1和Windows Server 2008R2 SP1需要Microsoft更新才能支持SHA-256。关于如何安装该安全更新的详细信息,请参考Microsoft KB3033929)。所以安装前,最好先确认一下操作系统的版本,然后再选择安装什么版本的LabVIEW与NI VISION。如果操作系统版本过低,则建议安装早期的LabVIEW版本和NI VISION。
    安装过程中,不要去安装或卸载Windows的系统功能,否则可能会造成安装中断。如果是用WinRAR直接打开的安装包,解压到临时目录的,也不要关闭WinRAR,否则会删除释放临时目录中的安装原文件而造成安装中断。

    安装完成

    安装完成
    安装完成
    安装完成后,点击下一步:

    是否重启

    是否重启
    是否重启
    这里可以选择是否需要重启电脑,或者是关闭电脑,或者是稍后重启。如果是安装了,又需要使用的话,则需要重新启动。如果只是为了安装,还不需要急用,那么不重启也可以,完成手上的其它工作后,再重启也可以。一般来讲,安装了NI VISION后,还需要安装VAS、VBAI等,这里可以不重启。安装了其它的软件后,再重启。

    启动VBAI2015F2

    启动VBAI2015F2
    启动VBAI2015F2
    启动NI VBAI2015F2,可以进行试用:

    可以延长试用期

    可以延长试用期
    可以延长试用期
    同LabVIEW 2017一样,也可以延长试用期。

    VBAI2015欢迎界面

    VBAI2015欢迎界面
    VBAI2015欢迎界面

    NI VBAI配置脚本界面与关于

    NI VBAI配置脚本界面与关于
    NIVBAI配置脚本界面与关于
    以下为NI VBAI2015F2基本上没有什么大的内容更新。主要的更新点还是在支持NI的智能相机和视觉控制器,以及Real Time实时系统上。对于PC端的更新,和NI VISION一样,更新的内容比较少。

    LabVIEW2016中出现了VBAI API接口

    LabVIEW2016中出现了VBAI API接口
    LabVIEW2016中出现了VBAI API接口

    LabVIEW2017中没有VBAI API接口

    LabVIEW2017中没有VBAI API接口
    LabVIEW2017中没有VBAI API接口
    回复

    使用道具 举报

  • TA的每日心情

    昨天 16:29
  • 签到天数: 994 天

    连续签到: 1 天

    [LV.10]1000FPS

    发表于 2017-6-2 16:20:07 | 显示全部楼层 来自:广东省东莞市 电信
    华视自动化http://shixinhua.com,工业相机、工业镜头、机器视觉光源、光源控制器、图像处理、系统集成服务商
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    2022-6-5 09:28
  • 签到天数: 2 天

    连续签到: 1 天

    [LV.1]100FPS

    发表于 2022-6-2 16:00:48 | 显示全部楼层 来自:辽宁省 电信CDMA/LTE共用出口
    你好,我有个棘手的问题向您请教一下。
    我使用的操作系统winXP,用ni vision builder2010版本,相机是大恒,为什么一进软件,采集图像那里总提示camera removed,这个问题怎么处理?
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    慵懒
    昨天 10:49
  • 签到天数: 3130 天

    连续签到: 14 天

    [LV.Master]2000FPS

     楼主| 发表于 2022-6-2 16:06:23 | 显示全部楼层 来自:广东省东莞市 电信
    ttgongzi 发表于 2022-6-2 16:00
    你好,我有个棘手的问题向您请教一下。
    我使用的操作系统winXP,用ni vision builder2010版本,相机是大恒 ...

    要看具体相机型号。水星二代的相机,IMAQdx不支持太早的版本,好像要VAS17.5之后的版本。之前的网口相机,则不支持GIGE VISION。
    另外,所有相机,都要在MAX中设置好能正常工作,才能在VBAI中使用。如果MAX中不能使用,先设置好相应的环境后再使用。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    2022-6-5 09:28
  • 签到天数: 2 天

    连续签到: 1 天

    [LV.1]100FPS

    发表于 2022-6-2 16:17:04 | 显示全部楼层 来自:辽宁省 电信CDMA/LTE共用出口
    石鑫华视觉 发表于 2022-6-2 16:06
    要看具体相机型号。水星二代的相机,IMAQdx不支持太早的版本,好像要VAS17.5之后的版本。之前的网口相机 ...

    之前用着一直好使,但是前几天用着用着就突然就不灵了,提示driver 0找不到,无法初始化,我合计是相机驱动的问题,就卸载又重新安装的相机驱动,结果一进软件就提示camera removed .
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    2022-6-5 09:28
  • 签到天数: 2 天

    连续签到: 1 天

    [LV.1]100FPS

    发表于 2022-6-2 16:19:58 | 显示全部楼层 来自:辽宁省 电信CDMA/LTE共用出口
    石鑫华视觉 发表于 2022-6-2 16:06
    要看具体相机型号。水星二代的相机,IMAQdx不支持太早的版本,好像要VAS17.5之后的版本。之前的网口相机 ...

    另外请教下MAX在哪里?如何设置?我是小白:'(。谢谢了
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    慵懒
    昨天 10:49
  • 签到天数: 3130 天

    连续签到: 14 天

    [LV.Master]2000FPS

     楼主| 发表于 2022-6-2 17:09:53 | 显示全部楼层 来自:广东省东莞市 电信
    ttgongzi 发表于 2022-6-2 16:17
    之前用着一直好使,但是前几天用着用着就突然就不灵了,提示driver 0找不到,无法初始化,我合计是相机驱 ...

    Driver 0这种方式,一般是使用DirectShow协议驱动来驱动相机。很多属性是不支持的。一般要使用GIGE VISION/USB3VISION这些协议来驱动相机。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    慵懒
    昨天 10:49
  • 签到天数: 3130 天

    连续签到: 14 天

    [LV.Master]2000FPS

     楼主| 发表于 2022-6-2 17:10:00 | 显示全部楼层 来自:广东省东莞市 电信
    ttgongzi 发表于 2022-6-2 16:19
    另外请教下MAX在哪里?如何设置?我是小白。谢谢了

    大恒网口及USB3工业相机在NI LabVIEW环境设置视频教程-适用Basler/映美精/AVT/SVS
    https://labviewvision.com/thread-21281-1-1.html?fromuid=9
    (出处: 机器视觉之家)
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 注册会员

    本版积分规则

    LabVIEW HALCON图像处理入门教程(第二版)
    石鑫华机器视觉与LabVIEW Vision图像处理PDF+视频教程11种全套
    《LabVIEW Vision函数实例详解》教程-NI Vision所有函数使用方法介绍,基于NI VISION2020,兼容VDM21/22/23
    LabVIEW图像处理教程
    机器视觉商城淘宝店铺
    视觉论坛充值赞助方法

    QQ|石鑫华视觉论坛 |网站地图

    GMT+8, 2024-3-3 17:59

    Powered by Discuz! X3.4

    © 2001-2024 Discuz! Team.

    快速回复 返回顶部 返回列表